/* Microsoft SQL Server - Scripting		*/
/* Database: ReqPro					            */
/* Creation Date 10/12/98 13:44:47 			*/
/* Version: 4.01.0013                                  */

/* Notes:  Inserts initial ReqPro data into tables. */
/* 12/05/2007   Driscoll  Updating RqKeys and RqRequisite for 7.1 schema */

/* Initial RequisitePro error messages - Child Inserts/Updates */
Exec sp_addmessage 778000, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqDiscussions.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778001, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqDocuments.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778002, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqDocumentTypes.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778003, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqExternalProjects.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778004, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqProjects.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778005, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqQueryDefinitions.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778006, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqRequirements.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778007, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqRequirementTypes.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778008, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqUserDefinedFields.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778009, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqUserDefinedFieldValues.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778010, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqUserDefinedListItems.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778011, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqUserGroups.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778012, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqUsers.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778013, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqViews.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 778014, 16, 'Cannot add or change record.  Referential integrity requires a related record in table RqPackages.', 'us_english', @Replace='REPLACE'

/* Initial RequisitePro error messages - Parent Deletes/Updates */
Exec sp_addmessage 779000, 16, 'Cannot change or delete record.  Related records exist in table RqDiscussionGroups.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779001, 16, 'Cannot change or delete record.  Related records exist in table RqDiscussionRequirements.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779002, 16, 'Cannot change or delete record.  Related records exist in table RqDiscussionsRead.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779003, 16, 'Cannot change or delete record.  Related records exist in table RqDiscussionUsers.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779004, 16, 'Cannot change or delete record.  Related records exist in table RqDocumentHistory.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779005, 16, 'Cannot change or delete record.  Related records exist in table RqDocuments.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779006, 16, 'Cannot change or delete record.  Related records exist in table RqDocumentTypeUsers.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779007, 16, 'Cannot change or delete record.  Related records exist in table RqOverflowText.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779008, 16, 'Cannot change or delete record.  Related records exist in table RqOverflowValues.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779009, 16, 'Cannot change or delete record.  Related records exist in table RqProjectDiscussions.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779010, 16, 'Cannot change or delete record.  Related records exist in table RqProjectDocuments.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779011, 16, 'Cannot change or delete record.  Related records exist in table RqProjectDocumentTypes.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779012, 16, 'Cannot change or delete record.  Related records exist in table RqProjectExternalProjects.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779013, 16, 'Cannot change or delete record.  Related records exist in table RqProjectHistory.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779014, 16, 'Cannot change or delete record.  Related records exist in table RqProjectRequirements.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779015, 16, 'Cannot change or delete record.  Related records exist in table RqProjectRequirementTypes.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779016, 16, 'Cannot change or delete record.  Related records exist in table RqProjectUsers.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779017, 16, 'Cannot change or delete record.  Related records exist in table RqQueryCriteria.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779018, 16, 'Cannot change or delete record.  Related records exist in table RqRequirementHistory.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779019, 16, 'Cannot change or delete record.  Related records exist in table RqRequirements.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779020, 16, 'Cannot change or delete record.  Related records exist in table RqRequirementTypeFields.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779021, 16, 'Cannot change or delete record.  Related records exist in table RqRequirementTypeStyles.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779022, 16, 'Cannot change or delete record.  Related records exist in table RqRequirementTypeUsers.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779023, 16, 'Cannot change or delete record.  Related records exist in table RqUserDefinedFieldUsers.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779024, 16, 'Cannot change or delete record.  Related records exist in table RqUserDefinedFieldValues.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779025, 16, 'Cannot change or delete record.  Related records exist in table RqUserDefinedListItems.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779026, 16, 'Cannot change or delete record.  Related records exist in table RqUserDefinedListItemUsers.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779027, 16, 'Cannot change or delete record.  Related records exist in table RqUserDefinedListValues.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779028, 16, 'Cannot change or delete record.  Related records exist in table RqUsers.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779029, 16, 'Cannot change or delete record.  Related records exist in table RqViews.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779030, 16, 'Cannot change or delete record.  Related records exist in table RqUserDefinedDocRelValues.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779031, 16, 'Cannot change or delete record.  Related records exist in table RqUserDefinedRelValues.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779032, 16, 'Cannot delete record.  The stored procedure RQDELETE_PROJECT must be used to delete a project.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779033, 16, 'Cannot change or delete record.  Related records exist in table RqPackages.', 'us_english', @Replace='REPLACE'
Exec sp_addmessage 779034, 16, 'Cannot change or delete record.  Related records exist in table RqPackageElements.', 'us_english', @Replace='REPLACE'

/* Initial RequisitePro error messages - Validation Rules */
Exec sp_addmessage 777000, 16, 'The value entered is prohibited by the validation rule set for field ItemRank.', 'us_english', @Replace='REPLACE'


/* If the default Login and User scheme has been used, then create all */
/* objects under the ReqPro user.  Otherwise, create them under */
/* the current Login. */
If Exists (select * from sysusers where uid = user_id('ReqPro'))
    Setuser 'ReqPro'
Go

/* Initial RqRequisite data */
Insert Into RQREQUISITE (DATASTRUCTURE, REQUIREMENTTEXTSIZE, FIELDVALUESIZE, VERSIONREASONSIZE, RESERVEDFLAGS) Values (40, 4000, 4000, 1000, 1)

/* Initial RqKeys data */
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('Project', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('DocumentType', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('Document', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('RequirementType', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('Requirement', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('User', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('Group', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('View', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('UserDefinedField', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('UserDefinedListItem', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('Query', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('Discussion', 0)
Insert Into RQKEYS (KEYCLASS, LASTKEY) Values ('Package', 0)

INSERT INTO RQKEYS VALUES('Resource', 0);

Update rqrequisite set datastructure = 41;


Setuser